import React, { Component } from 'react';

import { getUsersDataById } from "../actions/getUserById"
import { deleteStaffById } from "../actions/getStaffByIdAction"
import { Link } from "react-router-dom";
import { Menu, Icon, Carousel } from 'antd';
import { connect } from 'react-redux';

import { bindActionCreators } from "redux";

import Header from '../container/Header'

const axios = require('axios')

class activeStaffs extends Component {
 
    componentDidMount() {
        const { getUsersDataById } = this.props

        let localS = JSON.parse(localStorage.getItem("login"));
        if (localS === null) {

        }
        else {
            getUsersDataById(localS)
        }
    }
    deleteStaff = (id) => {
        axios.delete(`http://127.0.0.1:2000/api/staffs`, id).then(res => console.log(res))
    }
    render() {

        const { getUser, deleteStaffById } = this.props
        const { name, isAdmin, id } = this.props
        const { staffs } = getUser

        return (
            <div >
                <Header name={name} getUser={getUser} id={id} />

                <div className="menuAndContent">
                    <div className="contentStaffs">
                        <div className="staffs">
                            {staffs !== undefined && staffs.reverse().map((el, key) => <div className="staff" key={key}>
                                {el.state ? <img src={el.img.substr(0, 53)} width="325" height="190" className="imgStaff" alt="lorem" /> : <img src={el.img} width="325" height="190" className="imgStaff" alt="lorem" />}
                                <div className="titlleAndPrice">
                                    <h4>{el.title}</h4>
                                    <h4>Цена: {el.price}</h4>
                                </div>
                                <div className="titlleAndPrice">
                                    <Link to={`/activeStaffs/${el.id}`} className="allMyStaff">
                                        <Icon type="edit" style={{ fontSize: '30px' }} />
                                    </Link>
                                    <button className="Exit" onClick={() => this.deleteStaff(el.id)} >
                                        <Icon type="delete" style={{ fontSize: '30px' }} />
                                    </button>
                                </div>
                            </div>
                            )}
                        </div>
                    </div>
                </div>

            </div>
        );
    }
}

const mapStateToProps = state => ({
    getUser: state.getUserById.getUser,
    params: state.getUserById.params,

});

const mapDispatchToProps = dispatch => bindActionCreators({ getUsersDataById, deleteStaffById }, dispatch);

export default activeStaffs = connect(
    mapStateToProps,
    mapDispatchToProps
)(activeStaffs);